From bippy-c9c4e1df01b2 Mon Sep 17 00:00:00 2001
From: Greg Kroah-Hartman <gregkh@linuxfoundation.org>
To: <linux-cve-announce@vger.kernel.org>
Reply-to: <cve@kernel.org>, <linux-kernel@vger.kernel.org>
Subject: CVE-2024-50003: drm/amd/display: Fix system hang while resume with TBT monitor

Description
===========

In the Linux kernel, the following vulnerability has been resolved:

drm/amd/display: Fix system hang while resume with TBT monitor

[Why]
Connected with a Thunderbolt monitor and do the suspend and the system
may hang while resume.

The TBT monitor HPD will be triggered during the resume procedure
and call the drm_client_modeset_probe() while
struct drm_connector connector->dev->master is NULL.

It will mess up the pipe topology after resume.

[How]
Skip the TBT monitor HPD during the resume procedure because we
currently will probe the connectors after resume by default.

(cherry picked from commit 453f86a26945207a16b8f66aaed5962dc2b95b85)

The Linux kernel CVE team has assigned CVE-2024-50003 to this issue.


Affected and fixed versions
===========================

	Fixed in 5.15.168 with commit eb9329cd882a
	Fixed in 6.1.113 with commit 722d2d8fc423
	Fixed in 6.6.55 with commit 68d603f467a7
	Fixed in 6.10.14 with commit 73e441be033d
	Fixed in 6.11.3 with commit c2356296f546
	Fixed in 6.12-rc2 with commit 52d4e3fb3d34

Please see https://www.kernel.org for a full list of currently supported
kernel versions by the kernel community.

Unaffected versions might change over time as fixes are backported to
older supported kernel versions.  The official CVE entry at
	https://cve.org/CVERecord/?id=CVE-2024-50003
will be updated if fixes are backported, please check that for the most
up to date information about this issue.


Affected files
==============

The file(s) affected by this issue are:
	drivers/gpu/drm/amd/display/amdgpu_dm/amdgpu_dm.c


Mitigation
==========

The Linux kernel CVE team recommends that you update to the latest
stable kernel version for this, and many other bugfixes.  Individual
changes are never tested alone, but rather are part of a larger kernel
release.  Cherry-picking individual commits is not recommended or
supported by the Linux kernel community at all.  If however, updating to
the latest release is impossible, the individual changes to resolve this
issue can be found at these commits:
	https://git.kernel.org/stable/c/eb9329cd882aa274e92bdb1003bc088433fdee86
	https://git.kernel.org/stable/c/722d2d8fc423108597b97efbf165187d16d9aa1e
	https://git.kernel.org/stable/c/68d603f467a75618eeae5bfe8af32cda47097010
	https://git.kernel.org/stable/c/73e441be033d3ed0bdff09b575da3e7d4606ffc9
	https://git.kernel.org/stable/c/c2356296f546326f9f06c109e201d42201e1e783
	https://git.kernel.org/stable/c/52d4e3fb3d340447dcdac0e14ff21a764f326907
